MediaPipe Face Detection
Face detection is a computer vision technique that involves identifying and locating human faces within an image or video. The goal of face detection is to detect the presence of faces, and draw bounding boxes around them, without necessarily identifying specific facial features or landmarks.
MIT
Object Detection
PyTorch
English
Endpoint
POSThttps://api.aiozai.network/api/v1/model/474f6523-13b2-47a4-87e7-9ef4ed4eb02c/task
X-API-KeyAIOZ_AI_API_KEY
Input Schema
| Field | Type | Description |
|---|---|---|
| input | URLrequired | The input of the model is an image containing objects that are human faces and need to be identified. |
| model | optionsrequired | The input to the model allows users to select the model used for processing. Available options: [Short-range model (best for faces within 2 meters), Full-range model (best for faces within 5 meters)] |
| confidence | floatrequired | This is the value used to determine whether an object is considered a face or not. The threshold value can be adjusted to increase or decrease the detection accuracy. Min: 0. Max: 1. |
Output Schema
| Field | Type | Description |
|---|---|---|
| output | URL | URL to a generated output artifact. |
curl -X POST \ "https://api.aiozai.network/api/v1/model/474f6523-13b2-47a4-87e7-9ef4ed4eb02c/task" \ -H "x-api-key: $AIOZ_AI_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "input": "https://s3.w3s.aioz.network/w3ai-platform-v2/uploads/documents/54deb202-59ab-491b-b167-e0d95f9c4eb7/2024/06/14/1718327406-JMiBGqmiWTEM7EinA7QmPg.jpg?AWSAccessKeyId=FT7EO3IGQNMIILHXIDZRVTJHWE&Signature=gTiwnIW09qB1Q8sg3X8jdyatgi4%3D&Expires=2349047406", "model": "Short-range model (best for faces within 2 meters)", "confidence": 0.85 }'Response
{ "output": "https://s3.w3s.aioz.network/w3ai-platform/data/4e40d6e6ac014201a53f9650f69bf7b2.png?AWSAccessKeyId=FR46RKQH5H6OUSSRC4TYELDGNM&Signature=BDmPtyOZyX1Kh5X84rQnX1GxHGU%3D&Expires=2765880838"}